Bug 984740 - rhevm-shell does not allow overwriting in export domain
rhevm-shell does not allow overwriting in export domain
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.1.5
Unspecified Unspecified
medium Severity medium
: ---
: 3.1.5
Assigned To: Michael Pasternak
Elena
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 16:44 EDT by wdaniel
Modified: 2016-02-10 12:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 03:09:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wdaniel 2013-07-15 16:44:00 EDT
Description of problem:

When using rhevm-shell to manage an environment, it appears that you can export a VM, but you can not export if it already exists in the target domain.

How reproducible:
100%

Steps to Reproduce:
1. Open rhevm-shell session
2. Type command to export vm (# action vm <vm_name> export ...)
3. Receive the following message:

error: 
status: 400
reason: Bad Request
detail: Cannot export VM. VM with the same identifier already exists.

Actual results:
rhevm-shell replies with the above message


Expected results:
rhevm-shell would either have an overwrite flag, or a prompt asking if you want to continue

Additional info:
The help page for the 'export' sub command lists only the following as flags you can specify:
    [--async: boolean]
    [--exclusive: boolean]
    [--discard_snapshots: boolean]
    [--storage_domain-id|name: string]
    [--grace_period-expiry: long]
    [--correlation_id: anystring]
Comment 1 Michael Pasternak 2013-07-16 03:09:46 EDT
specify '--exclusive true' to ForceOverride

Note You need to log in before you can comment on or make changes to this bug.